<div class="row">
  <!--Description-->
  <div class="col-md-6">
    <mat-card>
      <mat-card-header class="mat-card-header">
        <div class="mat-card-header-text">
          <mat-card-title class="mat-card-title">Component level</mat-card-title>
        </div>
      </mat-card-header>
      <mat-card-content>
        <ng-container>
          <h3><b>I. Description</b></h3>
          <div>Every child components which belong to the same parent component can exchanges messages through message bus service.</div>
          <div><b>Parent components</b> and <b>child components</b> can have their own message bus service to isolate it & their children.</div>
        </ng-container>

        <br/><br/>
        <ng-container>
          <h3><b>II. Architecture</b></h3>
          <img class="img-fluid"
               [src]="'/assets/diagrams/component-level.png'">
        </ng-container>
      </mat-card-content>
    </mat-card>
  </div>

  <!--Demo-->
  <div class="col-md-6 demo-content">
    <mat-card>
      <mat-card-header>
        <div class="mat-card-header-text">
          <mat-card-title class="mat-card-title">Demo</mat-card-title>
        </div>
      </mat-card-header>
      <mat-card-content>
        <ul>
          <li>
            <component-level-parent [name]="'Level 01 (isolated level)'">
              <ul>
                <li>
                  <component-level-child [title]="'Level 01 - Component 1'"></component-level-child>
                  <component-level-child [title]="'Level 01 - Component 2'"></component-level-child>
                </li>
                <li>
                  <component-level-parent [name]="'Level 02 (isolated level)'">
                    <ul>
                      <li>
                        <component-level-child [title]="'Level 02 - Component 1'"></component-level-child>
                        <component-level-child [title]="'Level 02 - Component 2'"></component-level-child>
                      </li>
                      <li>
                        <component-level-parent [name]="'Level 03 (isolated level)'">
                          <ul>
                            <li>
                              <component-level-child [title]="'Level 03 - Component 1'"></component-level-child>
                              <component-level-child [title]="'Level 03 - Component 2'"></component-level-child>
                              <ul>
                                <li>
                                  <b>NOTE:</b> <i>This component is generated by <code>router-outlet</code></i>
                                  <router-outlet></router-outlet>
                                </li>
                              </ul>
                            </li>
                          </ul>
                        </component-level-parent>
                      </li>
                    </ul>
                  </component-level-parent>
                </li>
              </ul>
            </component-level-parent>
          </li>
        </ul>
      </mat-card-content>
    </mat-card>
  </div>

</div>
